clear;
load('OptEqual.mat');

Fertvec_base = Fertvec_tax20;
Yvec_base = Yvec_tax20;
THvec_base = THvec_tax20;
xmeanvec_base = xmeanvec_tax20;
Hmeanvec_base = Hmeanvec_tax20;
AvgUdiffvec_base = AvgUdiffvec;

load('OptEqualNoFeed.mat');
Fertvec_noext = Fertvec_tax20;
Yvec_noext = Yvec_tax20;
THvec_noext = THvec_tax20;
xmeanvec_noext = xmeanvec_tax20;
Hmeanvec_noext = Hmeanvec_tax20;
AvgUdiffvec_noext = AvgUdiffvec;

    thickness = 1.5; wmax=6;
    figure;
    subplot(2,3,1)
    plot(taxis(1:wmax+1),Fertvec_base(1:wmax+1),taxis(1:wmax+1),Fertvec_noext(1:wmax+1),'-.','LineWidth',thickness); xlabel('Time'); ylabel('No. of children'); xticks(0:1:wmax); xlim([taxis(1) taxis(wmax+1)]); ylim([1.9 2.1])
    title('Fertility rate');
     legend('Benchmark','No feedback','location','northeast');
   
    subplot(2,3,2)
    plot(taxis(1:wmax+1),Yvec_base(1:wmax+1),taxis(1:wmax+1),Yvec_noext(1:wmax+1),'-.','LineWidth',thickness); xlabel('Time'); ylabel('% dev from initial s.s.'); xticks(0:1:wmax); xlim([taxis(1) taxis(wmax+1)])
    title('Output per capita');
    subplot(2,3,3)
    plot(taxis(1:wmax+1),THvec_base(1:wmax+1),taxis(1:wmax+1),THvec_noext(1:wmax+1),'-.','LineWidth',thickness); xlabel('Time'); ylabel('% dev from initial s.s.'); xticks(0:1:wmax); xlim([taxis(1) taxis(wmax+1)])
    title('Avg hours worked');
    subplot(2,3,4)
    plot(taxis(1:wmax+1),xmeanvec_base(1:wmax+1),taxis(1:wmax+1),xmeanvec_noext(1:wmax+1),'-.','LineWidth',thickness); xlabel('Time'); ylabel('% dev from initial s.s.'); xticks(0:1:wmax); xlim([taxis(1) taxis(wmax+1)])
    title('Avg x');
    subplot(2,3,5)
    plot(taxis(1:wmax+1),Hmeanvec_base(1:wmax+1),taxis(1:wmax+1),Hmeanvec_noext(1:wmax+1),'-.','LineWidth',thickness); xlabel('Time'); ylabel('% dev from initial s.s.'); xticks(0:1:wmax); xlim([taxis(1) taxis(wmax+1)])
    title('Avg human capital');
    subplot(2,3,6)
    plot(taxis(1:wmax+1),AvgUdiffvec_base(1:wmax+1),taxis(1:wmax+1),AvgUdiffvec_noext(1:wmax+1),'-.','LineWidth',thickness); xlabel('Time'); ylabel('Utility gains'); xticks(0:1:wmax); xlim([taxis(1) taxis(wmax+1)]); ylim([-0.1 0.05])
    title('Welfare');

    fig=gcf;
    fig.Position(3:4)=[650,400];

    print(fig,'FigureA12','-depsc')

delete 'OptEqual.mat'
delete 'OptEqualNoFeed.mat'

