function xgrid = gengrid(xlow,xhigh,xnum,option,degree)
% Generate a grid

if option == 0
    % option 0: linear
    xgrid = linspace(xlow,xhigh,xnum);
elseif option == 1
    % option 1: log-spaced (not custermizable)
    xgrid = logspace(log(1)/log(10), log(xhigh - xlow + 1)/log(10), xnum);
    xgrid = xgrid + ones(size(xgrid))*(xlow - 1);    
elseif option == 2
    % option 2: log-spaced with custermizable degree
    xgrid = logspace(0,degree,xnum) - 10^0;
    xgrid = xgrid/(10^degree - 10^0);
    xgrid = xgrid*(xhigh-xlow) + xlow;
end
    