function fz = lini(t,ft,z)
% Linear Interpolation evaluating a point
% No extrapolation allowed
% Inputs: 
% t (knots)
% ft (functional values on knots)
% evaluated at a point z

% Output:
% af (approximated functional value on z)
Nt = length(t);

if z <= t(1)    
    fz = ft(1);
elseif z >= t(Nt)
    fz = ft(Nt);    
else
    ind = sum(t<z);
    w = (t(ind+1)-z)/(t(ind+1)-t(ind));
    fz = w*ft(ind) + (1-w)*ft(ind+1);
end

    
    
    
