

clear 



*************************************
* average income info. from KLIPS
*************************************

use "$folder\data_clean.dta", clear

merge 1:1 hhid year using "$folder\children_school.dta"
drop if _merge==2
drop _merge
global elementary "child_elem==1"
global middle "child_middle==1"
global high "child_high==1"

* KLIPS income and expenditures are for the previous year
sort hhid year
by hhid: gen new_inc_head_m = f.inc_head_m
replace inc_head_m = new_inc_head_m

* average income for each income category in KTUS
mat avg_inc_result=J(10,4,.)
mat colnames avg_inc_result = group avg_inc sd_inc nhh
local row=1

su inc_head_m if year==12 & (inc_head_m>0 & inc_head_m<50) 
mat avg_inc_result[`row',1] = `row'
mat avg_inc_result[`row',2] = r(mean)
mat avg_inc_result[`row',3] = r(sd)
mat avg_inc_result[`row',4] = r(N)
local row=`row'+1
su inc_head_m if year==12 & (inc_head_m>=50 & inc_head_m<100) 
mat avg_inc_result[`row',1] = `row'
mat avg_inc_result[`row',2] = r(mean)
mat avg_inc_result[`row',3] = r(sd)
mat avg_inc_result[`row',4] = r(N)
local row=`row'+1
su inc_head_m if year==12 & (inc_head_m>=100 & inc_head_m<150)
mat avg_inc_result[`row',1] = `row'
mat avg_inc_result[`row',2] = r(mean)
mat avg_inc_result[`row',3] = r(sd)
mat avg_inc_result[`row',4] = r(N)
local row=`row'+1
su inc_head_m if year==12 & (inc_head_m>=150 & inc_head_m<200)
mat avg_inc_result[`row',1] = `row'
mat avg_inc_result[`row',2] = r(mean)
mat avg_inc_result[`row',3] = r(sd)
mat avg_inc_result[`row',4] = r(N)
local row=`row'+1
su inc_head_m if year==12 & (inc_head_m>=200 & inc_head_m<250) 
mat avg_inc_result[`row',1] = `row'
mat avg_inc_result[`row',2] = r(mean)
mat avg_inc_result[`row',3] = r(sd)
mat avg_inc_result[`row',4] = r(N)
local row=`row'+1
su inc_head_m if year==12 & (inc_head_m>=250 & inc_head_m<300) 
mat avg_inc_result[`row',1] = `row'
mat avg_inc_result[`row',2] = r(mean)
mat avg_inc_result[`row',3] = r(sd)
mat avg_inc_result[`row',4] = r(N)
local row=`row'+1
su inc_head_m if year==12 & (inc_head_m>=300 & inc_head_m<350) 
mat avg_inc_result[`row',1] = `row'
mat avg_inc_result[`row',2] = r(mean)
mat avg_inc_result[`row',3] = r(sd)
mat avg_inc_result[`row',4] = r(N)
local row=`row'+1
su inc_head_m if year==12 & (inc_head_m>=350 & inc_head_m<400)
mat avg_inc_result[`row',1] = `row'
mat avg_inc_result[`row',2] = r(mean)
mat avg_inc_result[`row',3] = r(sd)
mat avg_inc_result[`row',4] = r(N)
local row=`row'+1
su inc_head_m if year==12 & (inc_head_m>=400 & inc_head_m<500) 
mat avg_inc_result[`row',1] = `row'
mat avg_inc_result[`row',2] = r(mean)
mat avg_inc_result[`row',3] = r(sd)
mat avg_inc_result[`row',4] = r(N)
local row=`row'+1
su inc_head_m if year==12 & (inc_head_m>=500)
mat avg_inc_result[`row',1] = `row'
mat avg_inc_result[`row',2] = r(mean)
mat avg_inc_result[`row',3] = r(sd)
mat avg_inc_result[`row',4] = r(N)

mat list avg_inc_result


***************************************
* KTUS
* y-axis: income, x-axis: curfew time
****************************************

use "$folder\KTUS_2009_selected.dta", clear

* householder's income (category)
gen income_father=.
replace income_father=0 if (householder==1 | householder==2) & sex==1 & income==1
forval x = 2/11 {
	local row = `x'-1
	replace income_father=avg_inc_result[`row',2] if (householder==1 | householder==2) & sex==1 & income==`x'
}
bys hid: fillmissing income_father

drop if income_father==.

* indicators for late private education activity
foreach h in 04 05 06 07 08 09 10 11 {
	gen privedu_`h'pm = 0
	
	foreach m in 00 10 20 30 40 50 {
			replace privedu_`h'pm = 1 if activity`h'`m'pm=="S321"
	}
}

* aggregate 2 survey responses for each middle school student
collapse (max) privedu_* (first) income_father if edu_level==2 & edu_state==2 & agecode==1, by(hid pid)

gen privedu_cat = .
replace privedu_cat = 0 if (privedu_04pm==0 & privedu_05pm==0 & privedu_06pm==0 & privedu_07pm==0 & privedu_08pm==0 & privedu_09pm==0 & privedu_10pm==0 & privedu_11pm==0)
replace privedu_cat = 4 if privedu_04pm==1
replace privedu_cat = 5 if privedu_05pm==1
replace privedu_cat = 6 if privedu_06pm==1
replace privedu_cat = 7 if privedu_07pm==1
replace privedu_cat = 8 if privedu_08pm==1
replace privedu_cat = 9 if privedu_09pm==1
replace privedu_cat = 10 if privedu_10pm==1
replace privedu_cat = 11 if privedu_11pm==1

* divide into high- and low-income
gen high_income=0
replace high_income=1 if income_father>=230
tab high_income


* average income for each income category
mat result=J(9,7,.)
mat colnames result = time avg ub lb nhh nhh_low nhh_high

local row=1
ci means income_father if privedu_cat==0
mat result[`row',1] = 0
mat result[`row',2] = r(mean)
mat result[`row',3] = r(ub)
mat result[`row',4] = r(lb)
mat result[`row',5] = r(N)
count if privedu_cat==0 & high_income==0
mat result[`row',6] = r(N)
count if privedu_cat==0 & high_income==1
mat result[`row',7] = r(N)

qui forval row=2/9 {
	local cat=`row'+2
	ci means income_father if privedu_cat==`cat'
	mat result[`row',1] = `cat'
	mat result[`row',2] = r(mean)
	mat result[`row',3] = r(ub)
	mat result[`row',4] = r(lb)
	mat result[`row',5] = r(N)
	count if privedu_cat==`cat' & high_income==0
	mat result[`row',6] = r(N)
	count if privedu_cat==`cat' & high_income==1
	mat result[`row',7] = r(N)
}
mat list result

svmat result, names(col)

********************************************************************************
* Figure A4-A: avg income vs hagwon time
twoway connected avg time in 2/9, color(navy) lpattern(1) msymbol(d) ///
|| rarea ub lb time in 2/9, color(navy%10)  lwidth(*0.1) ///
ylabel(150(50)400,labsize(medlarge) nogrid) xlabel(4(1)11,labsize(medlarge) nogrid) ///
graphregion(fcolor(white) lcolor(white) lwidth(vvvthin) ifcolor(white) ilcolor(white) ilwidth(vvvthin)) ///
legend(cols(1) order(1 2)  position(4) ring(0) bmargin(large) size(medlarge) label(1 "Mean") label(2 "95% CI")) ///
ytitle("Monthly income (10,000 Won)", size(large)) xtitle("The last attending time (p.m.)", size(large)) scheme(cleanplots) 

graph export output\Figure_A4_A.pdf, replace    // new
********************************************************************************


* portion of students vs hagwon time
egen tot = total(nhh) in 1/9
gen share = nhh/tot*100

egen tot_low = total(nhh_low) in 1/9
gen share_low = nhh_low/tot_low*100

egen tot_high = total(nhh_high) in 1/9
gen share_high = nhh_high/tot_high*100

********************************************************************************
* Figure A4-B
graph bar share if time~=0, over(time, label(labsize(medlarge))) bar(1,color(navy%70)) ///
 ylabel(,labsize(medlarge)) ytitle("Share (%)", size(large)) b1title("The last attending time (p.m.)", size(large)) ///
 scheme(cleanplots)
 
graph export output\Figure_A4_B.pdf, replace    // new
********************************************************************************
 

gen new_time = time
replace new_time = 6 if time>=4 & time<=6
egen new_share = total(share), by(new_time) missing
egen new_share_low = total(share_low), by(new_time) missing
egen new_share_high = total(share_high), by(new_time) missing
label define timelabel 0 "No hagwon" 6 "4-6" 7 "7" 8 "8" 9 "9" 10 "10" 11 "11"
label values new_time timelabel

********************************************************************************
* Figure A4-C
graph bar new_share_low new_share_high if new_time>=6, over(new_time, label(labsize(medlarge) valuelabel))  ///
 bar(1,color(orange%50) lcolor(orange_red) lwidth(*2)) bar(2,color(eltblue%50) lcolor(blue) lwidth(*2)) ///
 ylabel(,labsize(medlarge)) ytitle("Share (%)", size(large)) b1title("The last attending time (p.m.)", size(large)) ///
 legend(cols(1) order(1 2) position(10) ring(0) bmargin(large) size(medlarge) label(1 "Low income") label(2 "High income")) ///
 scheme(cleanplots)

graph export output\Figure_A4_C.pdf, replace    // new
********************************************************************************

 
* Parents' education
use "$folder\KTUS_2009_selected.dta", clear

* parent's education (category)
gen edu_parents=.
replace edu_parents=0 if (householder==1 & edu_level<=3) | (householder==2 & edu_level<=3)
replace edu_parents=1 if (householder==1 & edu_level>3 & edu_level~=.) | (householder==2 & edu_level>3 & edu_level~=.)

egen temp = max(edu_parents), by(hid)
replace edu_parents = temp
drop temp
bys hid: fillmissing edu_parents
//replace edu_parents=0 if edu_parents==.

* indicators for late private education activity
foreach h in 04 05 06 07 08 09 10 11 {
	gen privedu_`h'pm = 0
	
	foreach m in 00 10 20 30 40 50 {
			replace privedu_`h'pm = 1 if activity`h'`m'pm=="S321"
	}
}

* aggregate 2 survey responses for each middle school student
collapse (max) privedu_* (first) edu_parents if edu_level==2 & edu_state==2 & agecode==1, by(hid pid) 

gen privedu_cat = .
replace privedu_cat = 0 if (privedu_04pm==0 & privedu_05pm==0 & privedu_06pm==0 & privedu_07pm==0 & privedu_08pm==0 & privedu_09pm==0 & privedu_10pm==0 & privedu_11pm==0)
replace privedu_cat = 4 if privedu_04pm==1
replace privedu_cat = 5 if privedu_05pm==1
replace privedu_cat = 6 if privedu_06pm==1
replace privedu_cat = 7 if privedu_07pm==1
replace privedu_cat = 8 if privedu_08pm==1
replace privedu_cat = 9 if privedu_09pm==1
replace privedu_cat = 10 if privedu_10pm==1
replace privedu_cat = 11 if privedu_11pm==1

* check group
// tab edu_parents

* # for each category
mat result=J(9,4,.)
mat colnames result = time nhh nhh_low nhh_high

local row=1
mat result[`row',1] = 0
count if privedu_cat==0
mat result[`row',2] = r(N)
count if privedu_cat==0 & edu_parents==0
mat result[`row',3] = r(N)
count if privedu_cat==0 & edu_parents==1
mat result[`row',4] = r(N)

qui forval row=2/9 {
	local cat=`row'+2
	mat result[`row',1] = `cat'
	count if privedu_cat==`cat'
	mat result[`row',2] = r(N)
	count if privedu_cat==`cat' & edu_parents==0
	mat result[`row',3] = r(N)
	count if privedu_cat==`cat' & edu_parents==1
	mat result[`row',4] = r(N)
}
mat list result

svmat result, names(col)
 
* portion of students vs hagwon time
egen tot = total(nhh) in 1/9
gen share = nhh/tot*100

egen tot_low = total(nhh_low) in 1/9
gen share_low = nhh_low/tot_low*100

egen tot_high = total(nhh_high) in 1/9
gen share_high = nhh_high/tot_high*100
 
gen new_time = time
replace new_time = 6 if time>=4 & time<=6
egen new_share = total(share), by(new_time) missing
egen new_share_low = total(share_low), by(new_time) missing
egen new_share_high = total(share_high), by(new_time) missing
label define timelabel 0 "No hagwon" 6 "4-6" 7 "7" 8 "8" 9 "9" 10 "10" 11 "11"
label values new_time timelabel

********************************************************************************
* Figure A4-D
graph bar new_share_low new_share_high if new_time>=6, over(new_time, label(labsize(medlarge) valuelabel))  ///
 bar(1,color(orange%50) lcolor(orange_red) lwidth(*2)) bar(2,color(eltblue%50) lcolor(blue) lwidth(*2)) ///
 ylabel(0(5)25,labsize(medlarge)) ytitle("Share (%)", size(large)) b1title("The last attending time (p.m.)", size(large)) ///
 legend(cols(1) order(1 2) position(10) ring(0) bmargin(large) size(medlarge) label(1 "Low education") label(2 "High education")) ///
 scheme(cleanplots)
 
graph export output\Figure_A4_D.pdf, replace    // new
********************************************************************************


