

* correlation between incomes of parents and children

clear


mat elasticity=J(3,3,.)
mat colnames elasticity = 39_42 40_43 41_44
mat rownames elasticity = 30_33 31_34 32_35
mat nobs=J(3,3,.)
mat colnames nobs = 39_42 40_43 41_44
mat rownames nobs = 30_33 31_34 32_35

qui forval f=0/2 {
forval c=0/2 {

* children's average income
use intergeneration.dta, clear

merge m:1 year using cpi.dta
drop if _merge~=3
drop _merge

replace inc_child = inc_child*100/cpi

keep if age>=30+`c' & age<=33+`c'

bys pid: gen numobs = _N
keep if numobs>=2

collapse (mean) inc_child age, by(hhid pid)

save intergeneration_temp`f'`c'.dta, replace

bys hhid: keep if _n==1

save temp_list`f'`c'.dta, replace

* parents' average income (father's income)
use data_clean.dta, clear

merge m:1 hhid using temp_list`f'`c'.dta
keep if _merge==3
drop _merge

keep if age_head_m>=39+`f' & age_head_m<=42+`f'

bys hhid: gen numobs = _N
keep if numobs>=2

merge m:1 year using cpi.dta
drop if _merge~=3
drop _merge

replace inc_head_m = inc_head_m*100/cpi

collapse (mean) inc_head_m, by(hhid)

merge 1:m hhid using intergeneration_temp`f'`c'.dta
keep if _merge==3
drop _merge

drop if inc_head_m==.
sort hhid pid

gen ln_inc_head_m = ln(inc_head_m)
gen ln_inc_child = ln(inc_child)


reg ln_inc_child ln_inc_head_m 

mat b = e(b)
mat elasticity[`c'+1,`f'+1] = b[1,1]
mat nobs[`c'+1,`f'+1] = e(N)

erase intergeneration_temp`f'`c'.dta
erase temp_list`f'`c'.dta

}
}

//mat list nobs

********************************************************************************
* Table A6
mat list elasticity

putexcel set output\Tables, sheet(Table_A6, replace) modify  // new
putexcel A1=matrix(elasticity), nformat(0.00) names  // new
********************************************************************************

********************************************************************************
* average intergenerational elasticity of income
mata: C = rowshape(st_matrix("elasticity")', 9)
mata: elast = round(mean(C),0.001)  // new(modified)

mata: st_matrix("elasticity", elast)  // new
putexcel set output\Statistics, modify   // new
putexcel A12=("intergenerational income elasticity") B12=matrix(elasticity), nformat(0.000)  // new
********************************************************************************

